package com.yihu.jw.restmodel.hospital.survey;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Created by Trick on 2019/9/9.
 */
@ApiModel(value = "WlyySurveyTemplateVO", description = "问卷调查模板")
public class WlyySurveyTemplateVO extends UuidIdentityVO {

    @ApiModelProperty(value = "模板标题", example = "模块1")
    private String title;//模板标题',
    @ApiModelProperty(value = "模板说明", example = "模块1")
    private String templateComment;//模板说明',
    @ApiModelProperty(value = "创建人", example = "模块1")
    private String creater;//创建人',
    @ApiModelProperty(value = "创建人code", example = "模块1")
    private String createrCode;//创建人name',
    @ApiModelProperty(value = "发布机构", example = "模块1")
    private String organization;//发布机构',
    @ApiModelProperty(value = "删除标志（1正常，0删除）", example = "模块1")
    private String del;//删除标志（1正常，0删除）',
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;//创建时间',
    @ApiModelProperty(value = "修改时间", example = "模块1")
    private Date updateTime;//修改时间',
    @ApiModelProperty(value = "标签", example = "模块1")
    private List<WlyySurveyLabelInfoVO> labels;

    @ApiModelProperty(value = "标签", example = "模块1")
    private List<WlyySurveyInspLabelInfoVO> insplabels;

    @ApiModelProperty(value = "问题", example = "模块1")
    private List<WlyySurveyTemplateQuestionVO> templateQuestionVOs;
    @ApiModelProperty(value = "有效作答人数", example = "模块1")
    private Integer answerCount;//修改时间',
    @ApiModelProperty(value = "是否常用", example = "模块1")
    private Integer used;//是否常用1常用0不常用,
    @ApiModelProperty(value = "出诊科室code", example = "模块1")
    private String visitDept;
    @ApiModelProperty(value = "出诊科室名称", example = "模块1")
    private String visitDeptName;

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getVisitDept() {
        return visitDept;
    }

    public void setVisitDept(String visitDept) {
        this.visitDept = visitDept;
    }

    public String getVisitDeptName() {
        return visitDeptName;
    }

    public void setVisitDeptName(String visitDeptName) {
        this.visitDeptName = visitDeptName;
    }

    public Integer getUsed() {
        return used;
    }

    public void setUsed(Integer used) {
        this.used = used;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTemplateComment() {
        return templateComment;
    }

    public void setTemplateComment(String templateComment) {
        this.templateComment = templateComment;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<WlyySurveyLabelInfoVO> getLabels() {
        return labels;
    }

    public void setLabels(List<WlyySurveyLabelInfoVO> labels) {
        this.labels = labels;
    }

    public List<WlyySurveyInspLabelInfoVO> getInsplabels() {
        return insplabels;
    }

    public void setInsplabels(List<WlyySurveyInspLabelInfoVO> insplabels) {
        this.insplabels = insplabels;
    }

    public List<WlyySurveyTemplateQuestionVO> getTemplateQuestionVOs() {
        return templateQuestionVOs;
    }

    public void setTemplateQuestionVOs(List<WlyySurveyTemplateQuestionVO> templateQuestionVOs) {
        this.templateQuestionVOs = templateQuestionVOs;
    }

    public Integer getAnswerCount() {
        return answerCount;
    }

    public void setAnswerCount(Integer answerCount) {
        this.answerCount = answerCount;
    }
}
